﻿using System;
using System.Threading;

using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;

using GHIElectronics.NETMF.FEZ;

using Sensor;

namespace TMP102_Tester
{
    public class Program
    {
        public static void Main()
        {
            // Disable garbage collector messages
            Debug.EnableGCMessages(false);

            bool ledState = false;
            OutputPort led = new OutputPort((Cpu.Pin)FEZ_Pin.Digital.LED, ledState);

            TMP102 CPTTEMP102 = new TMP102();
            CPTTEMP102.Init(TMP102.ADD0.Gnd);

            while (true)
            {
                CPTTEMP102.Read();
                Debug.Print("Temperature: " + CPTTEMP102.asCelcius() + " C");
                //Debug.Print("Temperature: " + CPTTEMP102.asFahrenheit() + " F");

                // Sleep for 500 milliseconds
                Thread.Sleep(500);

                // toggle LED state
                ledState = !ledState;
                led.Write(ledState);
            }
        }

    }
}
